Overview | Package | Class | Tree | Deprecated | Index | Help
| BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.beasys.portal.ejb
Interface GroupPersonalizationHome

public interface GroupPersonalizationHome
extends BaseHome

The EJB home interface for GroupPersonalization.

Method Summary
`GroupPersonalization` | `create(GroupPersonalizationPK pk)` Create the object.
`java.util.Enumeration` | `findByGroup(java.lang.String aGroup)` Find by group.
`java.util.Enumeration` | `findByPortal(java.lang.String aPortalName)` Find by portal.
`java.util.Enumeration` | `findByPortalAndGroup(java.lang.String aPortalName, java.lang.String aGroup)` Find by portal and group.
`java.util.Enumeration` | `findByPortalAndPortlet(java.lang.String aPortalName, java.lang.String aPortletName)` Find by portal and portlet.
`java.util.Enumeration` | `findByPortalCategoryAndGroup(java.lang.String aPortalName, java.lang.String aCategory, java.lang.String aGroup)` Find by portal, category and group.
`GroupPersonalization` | `findByPortalGroupPortlet(java.lang.String aPortal, java.lang.String aGroup, java.lang.String aPortlet)` Find by portal, group and portlet.
`java.util.Enumeration` | `findByPortlet(java.lang.String aPortletName)` Find by portlet.
`GroupPersonalization` | `findByPrimaryKey(GroupPersonalizationPK pk)` Find by primary key.

Methods inherited from interface javax.ejb.EJBHome
`getEJBMetaData, remove, remove`

Method Detail

### create

    public GroupPersonalization create(GroupPersonalizationPK pk)
                                throws javax.ejb.CreateException,
                                       java.rmi.RemoteException

  Create the object.
  Parameters:
    `pk` - the primary key.
  Returns:
    `GroupPersonalization` the created object.
  Throws:
    `CreateException` - error on create.
    `RemoteException` - container error.

### findByPrimaryKey

    public GroupPersonalization findByPrimaryKey(GroupPersonalizationPK pk)
                                          throws javax.ejb.FinderException,
                                                 java.rmi.RemoteException

  Find by primary key.
  Parameters:
    `pk` - the primary key.
  Returns:
    `GroupPersonalization` the object specified by the key.
  Throws:
    `FinderException` - error finding the object.
    `RemoteException` - container error.

### findByPortalCategoryAndGroup

    public java.util.Enumeration findByPortalCategoryAndGroup(java.lang.String aPortalName,
                                                              java.lang.String aCategory,
                                                              java.lang.String aGroup)
                                                       throws javax.ejb.FinderException,
                                                              java.rmi.RemoteException

  Find by portal, category and group.
  Parameters:
    `aPortalName` - the portal name.
    `aCategory` - the category.
    `aGroup` - the group id/name.
  Returns:
    `Enumeration` all objects that match the find.
  Throws:
    `FinderException` - error finding the objects.
    `RemoteException` - container error.

### findByPortalAndGroup

    public java.util.Enumeration findByPortalAndGroup(java.lang.String aPortalName,
                                                      java.lang.String aGroup)
                                               throws javax.ejb.FinderException,
                                                      java.rmi.RemoteException

  Find by portal and group.
  Parameters:
    `aPortalName` - the portal.
    `aGroup` - the group.
  Returns:
    `Enumeration` all objects that match the find.
  Throws:
    `FinderException` - error querying for objects.
    `RemoteException` - container error.

### findByPortalAndPortlet

    public java.util.Enumeration findByPortalAndPortlet(java.lang.String aPortalName,
                                                        java.lang.String aPortletName)
                                                 throws javax.ejb.FinderException,
                                                        java.rmi.RemoteException

  Find by portal and portlet.
  Parameters:
    `aPortalName` - the portal name.
    `aPortletName` - the portlet name.
  Returns:
    `Enumeration` objects that match portal and portlet.
  Throws:
    `FinderException` - error on query.
    `RemoteException` - container error.

### findByPortal

    public java.util.Enumeration findByPortal(java.lang.String aPortalName)
                                       throws javax.ejb.FinderException,
                                              java.rmi.RemoteException

  Find by portal.
  Parameters:
    `aPortalName` - the portal.
  Returns:
    `Enumeration` objects that match the query.
  Throws:
    `FinderException` - error on query.
    `RemoteException` - container error.

### findByPortlet

    public java.util.Enumeration findByPortlet(java.lang.String aPortletName)
                                        throws javax.ejb.FinderException,
                                               java.rmi.RemoteException

  Find by portlet.
  Parameters:
    `aPortletName` - the portlet.
  Returns:
    `Enumeration` objects that match the portlet.
  Throws:
    `FinderException` - error finding the objects.
    `RemoteException` - container error.

### findByGroup

    public java.util.Enumeration findByGroup(java.lang.String aGroup)
                                      throws javax.ejb.FinderException,
                                             java.rmi.RemoteException

  Find by group.
  Parameters:
    `aGroup` - the group.
  Returns:
    `Enumeration` objects that match the group.
  Throws:
    `FinderException` - error on query.
    `RemoteException` - container error.

### findByPortalGroupPortlet

    public GroupPersonalization findByPortalGroupPortlet(java.lang.String aPortal,
                                                         java.lang.String aGroup,
                                                         java.lang.String aPortlet)
                                                  throws javax.ejb.FinderException,
                                                         java.rmi.RemoteException

  Find by portal, group and portlet.
  Parameters:
    `aPortal` - the portal.
    `aGroup` - the group.
    `aPortlet` - the portlet.
  Returns:
    `GroupPersonalization` the object that matches the arguments.
  Throws:
    `FinderException` - query error.
    `RemoteException` - container error.

Overview | Package | Class | Tree | Deprecated | Index | Help
| BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000 BEA Systems, Inc. All Rights Reserved